# Livescores and fixtures

The previous chapter discussed seasons and schedules and how to use the endpoints to create the perfect schedules for your web application. This section will teach you about livescores and fixtures.

### Understanding Livescores and Fixtures

These two closely-related endpoints work together to give you complete match data:

#### [Livescores](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/livescores)

Real-time match updates for active games:

* Lightweight and fast
* Only return data in a 15-minute window before kickoff, when the match is inplay and until 15 minutes after the match has concluded
* Same data structure as fixtures
* **Use for:** Live scoreboards, real-time tracking

#### [Fixtures](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/fixtures)

Complete match data with full flexibility:

* Access any time (past, present, future)
* 10 endpoint options (by date, team, H2H, etc.)
* Complete match details and metadata
* **Use for:** Match details pages, schedules, historical analysis

**Recommended Workflow:** Use livescores for real-time updates → Use fixtures for detailed match information

{% content-ref url="/pages/WfDLQEksxMaErUCvPxbO" %}
[Livescores](/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/livescores.md)
{% endcontent-ref %}

{% content-ref url="/pages/N1Dedqg0mzSOIj6uQuWO" %}
[Fixtures](/v3/tutorials-and-guides/tutorials/livescores-and-fixtures/fixtures.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/livescores-and-fixtures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
